#include <bits/stdc++.h>
using namespace std;
#define pb push_back
#define s second
#define f first

vector<int> S,T;
vector<pair<int,int>> R;
vector<long long>D;
vector<bool> I;


std::vector<int> solve(std::vector<int> A){
    int sum=0;
 int n=0;

vector<pair<int,int>>a;
 for(int i:A){
        n++;
sum+=i;
 }
 vector<int>send;
 int k=n%4;
 if(k)send.pb(0);
 if(k==3)send.pb(1);
     for(int i=0; i<k+(n-k)/2; i++){
        send.pb(i+k);
        send.pb(n-i-1);
     }
 if(k==3)send.pb(2);
 if(k==2) send.pb(1);
    return send;

};